Package twisted :: Package protocols :: Module nntp :: Class NNTPServer

[show private | hide private]
[frames | no frames]

## Class NNTPServer

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          NNTPServer

Method Summary
| `__init__(self)`
| `articleWork(self, article, cmd, func)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `do_ARTICLE(self, article)`
| `do_BODY(self, article)`
| `do_CHECK(self, id)`
| `do_GROUP(self, group)`
| `do_HEAD(self, article)`
| `do_HELP(self)`
| `do_IHAVE(self, id)`
| `do_LAST(self)`
| `do_LIST(self, subcmd, *dummy)`
| `do_LISTGROUP(self, group)`
| `do_MODE(self, cmd)`
| `do_NEXT(self)`
| `do_POST(self)`
| `do_QUIT(self)`
| `do_SLAVE(self)`
| `do_STAT(self, article)`
| `do_TAKETHIS(self, id)`
| `do_XHDR(self, header, range)`
| `do_XINDEX(self, article)`
| `do_XOVER(self, range)`
| `do_XPATH(self, article)`
| `do_XROVER(self, range)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `LineReceiver`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)
| `xhdrWork(self, header, range)`

Class Variable Summary
`list` | `COMMANDS`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

Class Variable Details

### COMMANDS

  Type:
    `list`
  Value:

        ['LIST',
         'GROUP',
         'ARTICLE',
         'STAT',
         'MODE',
         'LISTGROUP',
         'XOVER',
         'XHDR',
        ...

Generated by Epydoc 1.1 on Thu May 8 13:16:41 2003 | http://epydoc.sf.net